1. 03. Card
Tevau-openApi
  • Get started
  • Signature instructions
  • Transaction description
  • FAQ
  • 01. User
    • 1.1 Create User
      POST
    • 1.2 Query User
      POST
  • 02. KYC
    • 2.1 V1 submits the customer's KYC information
      POST
    • 2.2 Get the URL
      POST
    • 2.3 Query liveness results
      POST
    • 2.4 Query KYC
      POST
    • 2.5 [Sandbox] Simulate KYC Review
      POST
    • 2.6 Create Document File
      POST
    • 2.7 Upload Document Files
      POST
    • 2.8 V2 Submit customer's KYC information
      POST
  • 03. Card
    • 3.1 Create Card
      POST
    • 3.2 Query Card List
      POST
    • 3.3 Adjust Card Balance
      POST
    • 3.4 Card Details
      POST
    • 3.5 Bind Card
      POST
    • 3.6 Close Card
      POST
    • 3.7 Freeze Card
      POST
    • 3.8 Unfreeze card
      POST
    • 3.9 Activate Card
      POST
    • 3.10 Card PAN
      POST
    • 3.11 Card PIN
      POST
    • 3.12 Card Limit
      POST
    • 3.13 Set Card Fee
      POST
    • 3.14 Query Card Fee
      POST
    • 3.15 3DS
      POST
    • 3.16 Update Phone
      POST
    • 3.17 Update Email
      POST
    • 3.19 Query the list of card tokens
      POST
    • 3.20 Activate the card with Google/Apple Token
      POST
    • 3.21 Card transaction limit
      POST
    • 3.22 Check card account transaction history
      POST
  • 04. Query logistics information
    • 4.1 Query Order
  • 05. Prefund
    • 5.1 Prefund Balance
    • 5.2 Query Bill Details
  • 06. Transaction
    • 6.1 Transaction History
    • 6.2 Transaction Details
  • 07. Simulated Trading
    • 7.1 Authorisation
    • 7.2 Clearing
    • 7.3 Refund
    • 7.4 Reversal
    • 7.5 3DS
    • 7.6 Simulate card status
  • 08. Webhook
    • 8.1 KYC Results
    • 8.2 Card Status
    • 8.3 Changes in card balance
    • 8.4 3DS
    • 8.5 Transaction
    • 8.6 Logistics status
    • 8.7 Token Notification
    • 8.9 Risk Control - Notification of Frozen Card Results
    • 8.10 Notification of failure to bind Google and Apple
    • 8.11 Notification of Fund Pool Top-up Arrival
  • Rests
    • [Sandbox] Edit WebHook-Url
    • JIT Authorized Transaction
  1. 03. Card

3.22 Check card account transaction history

POST
/openapi/query/card/getCardAccountDetailPage
This interface supports querying the inflow and outflow records of a specified card account, which facilitates financial reconciliation.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "limit": 100,
    "page": 1,
    "order": "ASC",
    "cardId": "CIDV015638333481",
    "startTime": "",
    "endTime": ""
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-test.tevaupay.com/openapi/query/card/getCardAccountDetailPage' \
--header 'x-nexus-api-key;' \
--header 'versions: v1' \
--header 'appId;' \
--header 'timestamp;' \
--header 'nonce;' \
--header 'sign;' \
--header 'Content-Type: application/json' \
--data '{
    "limit": 100,
    "page": 1,
    "order": "ASC",
    "cardId": "CIDV015638333481",
    "startTime": "",
    "endTime": ""
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "code": 0,
    "msg": "",
    "data": {
        "total": 0,
        "list": [
            {
                "refOrderSn": "",
                "userCode": "",
                "cardId": "",
                "amount": 0.0,
                "endAmount": 0.0,
                "detailType": 0,
                "createTime": ""
            }
        ],
        "pages": 0
    }
}
Modified at 2026-07-01 12:42:34
Previous
3.21 Card transaction limit
Next
4.1 Query Order
Built with